Index: pkpgcounter/trunk/BUGS
===================================================================
--- pkpgcounter/trunk/BUGS (revision 406)
+++ pkpgcounter/trunk/BUGS (revision 443)
@@ -3,5 +3,5 @@
 pkpgcounter : a generic Page Description Language parser
 
-(c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
Index: pkpgcounter/trunk/tests/README
===================================================================
--- pkpgcounter/trunk/tests/README (revision 404)
+++ pkpgcounter/trunk/tests/README (revision 443)
@@ -3,5 +3,5 @@
 pkpgcounter : a generic Page Description Language parser
 
-(c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
Index: pkpgcounter/trunk/tests/runcolors.py
===================================================================
--- pkpgcounter/trunk/tests/runcolors.py (revision 405)
+++ pkpgcounter/trunk/tests/runcolors.py (revision 443)
@@ -4,5 +4,5 @@
 # pkpgcounter : a generic Page Description Language parser
 #
-# (c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pkpgcounter/trunk/pkpgpdls/tiff.py
===================================================================
--- pkpgcounter/trunk/pkpgpdls/tiff.py (revision 428)
+++ pkpgcounter/trunk/pkpgpdls/tiff.py (revision 443)
@@ -4,5 +4,5 @@
 # pkpgcounter : a generic Page Description Language parser
 #
-# (c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pkpgcounter/trunk/pkpgpdls/pdlparser.py
===================================================================
--- pkpgcounter/trunk/pkpgpdls/pdlparser.py (revision 432)
+++ pkpgcounter/trunk/pkpgpdls/pdlparser.py (revision 443)
@@ -2,5 +2,5 @@
 # pkpgcounter : a generic Page Description Language parser
 #
-# (c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pkpgcounter/trunk/pkpgpdls/ooo.py
===================================================================
--- pkpgcounter/trunk/pkpgpdls/ooo.py (revision 415)
+++ pkpgcounter/trunk/pkpgpdls/ooo.py (revision 443)
@@ -4,5 +4,5 @@
 # pkpgcounter : a generic Page Description Language parser
 #
-# (c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pkpgcounter/trunk/pkpgpdls/inkcoverage.py
===================================================================
--- pkpgcounter/trunk/pkpgpdls/inkcoverage.py (revision 442)
+++ pkpgcounter/trunk/pkpgpdls/inkcoverage.py (revision 443)
@@ -4,5 +4,5 @@
 # pkpgcounter : a generic Page Description Language parser
 #
-# (c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pkpgcounter/trunk/pkpgpdls/__init__.py
===================================================================
--- pkpgcounter/trunk/pkpgpdls/__init__.py (revision 303)
+++ pkpgcounter/trunk/pkpgpdls/__init__.py (revision 443)
@@ -2,5 +2,5 @@
 # pkpgcounter : a generic Page Description Language parser
 #
-# (c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pkpgcounter/trunk/pkpgpdls/zjstream.py
===================================================================
--- pkpgcounter/trunk/pkpgpdls/zjstream.py (revision 415)
+++ pkpgcounter/trunk/pkpgpdls/zjstream.py (revision 443)
@@ -4,5 +4,5 @@
 # pkpgcounter : a generic Page Description Language parser
 #
-# (c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pkpgcounter/trunk/pkpgpdls/qpdl.py
===================================================================
--- pkpgcounter/trunk/pkpgpdls/qpdl.py (revision 415)
+++ pkpgcounter/trunk/pkpgpdls/qpdl.py (revision 443)
@@ -4,5 +4,5 @@
 # pkpgcounter : a generic Page Description Language parser
 #
-# (c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pkpgcounter/trunk/pkpgpdls/plain.py
===================================================================
--- pkpgcounter/trunk/pkpgpdls/plain.py (revision 428)
+++ pkpgcounter/trunk/pkpgpdls/plain.py (revision 443)
@@ -4,5 +4,5 @@
 # pkpgcounter : a generic Page Description Language parser
 #
-# (c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pkpgcounter/trunk/pkpgpdls/oldpcl345.py
===================================================================
--- pkpgcounter/trunk/pkpgpdls/oldpcl345.py (revision 431)
+++ pkpgcounter/trunk/pkpgpdls/oldpcl345.py (revision 443)
@@ -4,5 +4,5 @@
 # pkpgcounter : a generic Page Description Language parser
 #
-# (c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pkpgcounter/trunk/pkpgpdls/postscript.py
===================================================================
--- pkpgcounter/trunk/pkpgpdls/postscript.py (revision 437)
+++ pkpgcounter/trunk/pkpgpdls/postscript.py (revision 443)
@@ -4,5 +4,5 @@
 # pkpgcounter : a generic Page Description Language parser
 #
-# (c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pkpgcounter/trunk/pkpgpdls/pcl345.py
===================================================================
--- pkpgcounter/trunk/pkpgpdls/pcl345.py (revision 431)
+++ pkpgcounter/trunk/pkpgpdls/pcl345.py (revision 443)
@@ -4,5 +4,5 @@
 # pkpgcounter : a generic Page Description Language parser
 #
-# (c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pkpgcounter/trunk/pkpgpdls/escp2.py
===================================================================
--- pkpgcounter/trunk/pkpgpdls/escp2.py (revision 415)
+++ pkpgcounter/trunk/pkpgpdls/escp2.py (revision 443)
@@ -4,5 +4,5 @@
 # pkpgcounter : a generic Page Description Language parser
 #
-# (c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pkpgcounter/trunk/pkpgpdls/spl1.py
===================================================================
--- pkpgcounter/trunk/pkpgpdls/spl1.py (revision 415)
+++ pkpgcounter/trunk/pkpgpdls/spl1.py (revision 443)
@@ -4,5 +4,5 @@
 # pkpgcounter : a generic Page Description Language parser
 #
-# (c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pkpgcounter/trunk/pkpgpdls/pclxl.py
===================================================================
--- pkpgcounter/trunk/pkpgpdls/pclxl.py (revision 430)
+++ pkpgcounter/trunk/pkpgpdls/pclxl.py (revision 443)
@@ -4,5 +4,5 @@
 # pkpgcounter : a generic Page Description Language parser
 #
-# (c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pkpgcounter/trunk/pkpgpdls/dvi.py
===================================================================
--- pkpgcounter/trunk/pkpgpdls/dvi.py (revision 428)
+++ pkpgcounter/trunk/pkpgpdls/dvi.py (revision 443)
@@ -4,5 +4,5 @@
 # pkpgcounter : a generic Page Description Language parser
 #
-# (c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pkpgcounter/trunk/pkpgpdls/pjl.py
===================================================================
--- pkpgcounter/trunk/pkpgpdls/pjl.py (revision 357)
+++ pkpgcounter/trunk/pkpgpdls/pjl.py (revision 443)
@@ -4,5 +4,5 @@
 # pkpgcounter : a generic Page Description Language parser
 #
-# (c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pkpgcounter/trunk/pkpgpdls/analyzer.py
===================================================================
--- pkpgcounter/trunk/pkpgpdls/analyzer.py (revision 439)
+++ pkpgcounter/trunk/pkpgpdls/analyzer.py (revision 443)
@@ -2,5 +2,5 @@
 # pkpgcounter : a generic Page Description Language parser
 #
-# (c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pkpgcounter/trunk/pkpgpdls/version.py
===================================================================
--- pkpgcounter/trunk/pkpgpdls/version.py (revision 442)
+++ pkpgcounter/trunk/pkpgpdls/version.py (revision 443)
@@ -2,5 +2,5 @@
 # pkpgcounter : a generic Page Description Language parser
 #
-# (c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -29,5 +29,5 @@
 __author__ = "Jerome Alet"
 __authoremail__ = "alet@librelogiciel.com"
-__years__ = "2003, 2004, 2005, 2006"
+__years__ = "2003, 2004, 2005, 2006, 2007"
 
 __gplblurb__ = """This program is free software; you can redistribute it and/or modify
Index: pkpgcounter/trunk/setup.py
===================================================================
--- pkpgcounter/trunk/setup.py (revision 337)
+++ pkpgcounter/trunk/setup.py (revision 443)
@@ -4,5 +4,5 @@
 # pkpgcounter : a generic Page Description Language parser
 #
-# (c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pkpgcounter/trunk/bin/pkpgcounter
===================================================================
--- pkpgcounter/trunk/bin/pkpgcounter (revision 439)
+++ pkpgcounter/trunk/bin/pkpgcounter (revision 443)
@@ -4,5 +4,5 @@
 # pkpgcounter : a generic Page Description Language parser
 #
-# (c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pkpgcounter/trunk/man/pkpgcounter.1
===================================================================
--- pkpgcounter/trunk/man/pkpgcounter.1 (revision 440)
+++ pkpgcounter/trunk/man/pkpgcounter.1 (revision 443)
@@ -4,5 +4,5 @@
 pkpgcounter \- manual page for pkpgcounter 2.13
 .SH DESCRIPTION
-pkpgcounter v2.13 (c) 2003, 2004, 2005, 2006 Jerome Alet
+pkpgcounter v2.13 (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet
 .PP
 pkpgcounter is a generic Page Description Language parser.
Index: pkpgcounter/trunk/man/genman.sh
===================================================================
--- pkpgcounter/trunk/man/genman.sh (revision 303)
+++ pkpgcounter/trunk/man/genman.sh (revision 443)
@@ -3,5 +3,5 @@
 # pkpgcounter : a generic Page Description Language parser.
 #
-# (c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 # You're welcome to redistribute this software under the
 # terms of the GNU General Public Licence version 2.0
Index: pkpgcounter/trunk/NEWS
===================================================================
--- pkpgcounter/trunk/NEWS (revision 439)
+++ pkpgcounter/trunk/NEWS (revision 443)
@@ -3,5 +3,5 @@
 pkpgcounter : a generic Page Description Language parser
 
-(c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
Index: pkpgcounter/trunk/CREDITS
===================================================================
--- pkpgcounter/trunk/CREDITS (revision 391)
+++ pkpgcounter/trunk/CREDITS (revision 443)
@@ -3,5 +3,5 @@
 pkpgcounter : a generic Page Description Language parser
 
-(c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
Index: pkpgcounter/trunk/README
===================================================================
--- pkpgcounter/trunk/README (revision 418)
+++ pkpgcounter/trunk/README (revision 443)
@@ -3,5 +3,5 @@
 pkpgcounter : a generic Page Description Language parser
 
-(c) 2003, 2004, 2005, 2006 Jerome Alet <alet@librelogiciel.com>
+(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by